#
# spec file for package yast2-journal
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-journal
Version:        3.2.0
Release:        7.2
BuildArch:      noarch

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

# First version with base Dialog class
Requires:       yast2 >= 3.1.117
# Yast::Builtins::strftime
Requires:       yast2-ruby-bindings >= 3.1.38

BuildRequires:  update-desktop-files
# Yast::Builtins::strftime
BuildRequires:  yast2
BuildRequires:  yast2-devtools
BuildRequires:  yast2-ruby-bindings >= 3.1.38
#for install task
BuildRequires:  rubygem(yast-rake)
# for tests
BuildRequires:  rubygem(rspec)
# First version with Yast::UI.OpenUI and libyui-terminal
BuildRequires:  libyui-ncurses >= 2.47.1

Url:            https://github.com/ancorgs/yast-journal
Summary:        YaST2 - Reading of systemd journal
License:        GPL-2.0 or GPL-3.0
Group:          System/YaST

%description
A YaST2 module to read the systemd journal in a convenient and
user-friendly way.

%prep
%setup -n %{name}-%{version}

%check
# Enable UI tests in headless systems like Jenkins
libyui-terminal rake test:unit

%install
rake install DESTDIR="%{buildroot}"

%files
%defattr(-,root,root)
%{yast_dir}/clients/*.rb
%{yast_dir}/lib/systemd_journal
%{yast_desktopdir}/journal.desktop

%doc COPYING
%doc README.md

%build

%changelog
* Mon Mar 13 2017 ancor@suse.com
- Fixed RPM packaging error (bsc#1029088)
- 3.2.0
* Tue Aug 18 2015 ancor@suse.com
- Handle strange journal entries with non-textual messages
  (bnc#941655)
- 3.1.2
* Fri Jul 31 2015 ancor@suse.com
- Synced version numbering with the rest of YaST modules (last
  step for fate#318486).
- Enhancements in automated tests and code quality.
- 3.1.1
* Mon Jun 29 2015 ancor@suse.com
- Honor internationalization settings when displaying dates
  (improvements for fate#318486).
- 0.2.3
* Mon Jun  8 2015 ancor@suse.com
- Include the package in SLE12-SP1 fate#318486
* Fri Feb  6 2015 ancor@suse.com
- UI improvement: filters are activated on value changes
- Some cleanup in the strings for better internationalization
- Updated to use the latest version of the YaST libraries
- 0.2.2
* Tue Jan 27 2015 ancor@suse.com
- Only offer 'previous boot' as a time interval if there are really
  entries for such boot.
- Version 0.2.1
* Thu Dec  4 2014 ancor@suse.com
- New default interval in the filter: last 24 hours.
- Better handling of journalctl errors.
- Fixes in desktop file: moved to the proper YaST section (misc)
  and remove incorrect X-KDE-Library directive.
- Initial unit tests added.
- Version 0.2.0
* Tue Dec  2 2014 ancor@suse.com
- Initial prototype
